Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkStructuredPointsToStructuredPointsFilter Class Reference

`#include <vtkStructuredPointsToStructuredPointsFilter.h>`

Inheritance diagram for vtkStructuredPointsToStructuredPointsFilter:

[legend]
Collaboration diagram for vtkStructuredPointsToStructuredPointsFilter:

[legend]
List of all members.

## Detailed Description

abstract filter class

Date:
  2002/10/04 20:43:44

Revision:
  1.43

vtkStructuredPointsToStructuredPointsFilter is an abstract filter class whose subclasses take on input structured points and generate structured points on output.

See also:
  vtkExtractVOI vtkImageDifference vtkSweptSurface vtkTransformStructuredPoints

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (46%)
  - Martin, Ken (20%)
  - Lorensen, Bill (14%)
  - Cedilnik, Andy (9%)
  - Law, Charles (9%)

CVS logs (CVSweb):
  - .`cxx` (`/Filtering/vtkStructuredPointsToStructuredPointsFilter.cxx)`
  - .`h` (`/Filtering/vtkStructuredPointsToStructuredPointsFilter.h)`

Definition at line 52 of file vtkStructuredPointsToStructuredPointsFilter.h.

## Public Types
typedef vtkStructuredPointsSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetInput (vtkImageData *input)
vtkImageData * | GetInput ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkStructuredPointsToStructuredPointsFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkStructuredPointsToStructuredPointsFilter ()
| ~vtkStructuredPointsToStructuredPointsFilter ()
void | ExecuteInformation ()
void | ComputeInputUpdateExtents (vtkDataObject *output)

## Member Typedef Documentation

typedef vtkStructuredPointsSource vtkStructuredPointsToStructuredPointsFilter::Superclass

| Reimplemented from vtkStructuredPointsSource. Definition at line 55 of file vtkStructuredPointsToStructuredPointsFilter.h.

## Constructor & Destructor Documentation

vtkStructuredPointsToStructuredPointsFilter::vtkStructuredPointsToStructuredPointsFilter | ( |  | ) | `[inline, protected]`

| Definition at line 65 of file vtkStructuredPointsToStructuredPointsFilter.h.

vtkStructuredPointsToStructuredPointsFilter::~vtkStructuredPointsToStructuredPointsFilter | ( |  | ) | `[inline, protected]`

| Definition at line 66 of file vtkStructuredPointsToStructuredPointsFilter.h.

## Member Function Documentation

virtual const char* vtkStructuredPointsToStructuredPointsFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkStructuredPointsSource.

int vtkStructuredPointsToStructuredPointsFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStructuredPointsSource.

virtual int vtkStructuredPointsToStructuredPointsFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStructuredPointsSource.

vtkStructuredPointsToStructuredPointsFilter* vtkStructuredPointsToStructuredPointsFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkStructuredPointsSource.

void vtkStructuredPointsToStructuredPointsFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkStructuredPointsSource.

void vtkStructuredPointsToStructuredPointsFilter::SetInput | ( | vtkImageData * | input | ) |

| Set / get the input data or filter.

vtkImageData* vtkStructuredPointsToStructuredPointsFilter::GetInput | ( |  | ) |

| Set / get the input data or filter.

void vtkStructuredPointsToStructuredPointsFilter::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkStructuredPointsSource.

void vtkStructuredPointsToStructuredPointsFilter::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[protected, virtual]`

| What is the input update extent that is required to produce the desired output? By default, the whole input is always required but this is overridden in many subclasses. Reimplemented from vtkSource.

The documentation for this class was generated from the following file:

- Filtering/vtkStructuredPointsToStructuredPointsFilter.h